ENTRY(_start)
OUTPUT(kern.img)
OUTPUT_FORMAT(elf32-i386)
SECTIONS
{
  . = 0x100000;
  .text :
  {
    grub_load_addr = .; /* Begginning of data to be loaded */
    . = ALIGN(4); /* Grub header must be dword aligned */
    *(.header) /* Put Grub header in beginning of file. */
    *(.text)
    . = ALIGN(4096);
  }
  .data :
  {
     *(.data)
     *(.rodata)
     grub_load_end_addr = .; /* End of data to be loaded */
     . = ALIGN(4096);
  }
  .bss :
  {
    *(.bss)
    grub_bss_end_addr = .; /* End of bss memory */
    . = ALIGN(4096);
  }
}
